petsc-3.4.2 2013-07-02

# PetscMallocDump

Dumps the allocated memory blocks to a file. The information printed is: size of space (in bytes), address of space, id of space, file in which space was allocated, and line number at which it was allocated.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocDump(FILE *fp)

Collective on PETSC_COMM_WORLD

### Input Parameter

fp -file pointer. If fp is NULL, stdout is assumed.

### Options Database Key

-malloc_dump -Dumps unfreed memory during call to PetscFinalize()

### Fortran Note

The calling sequence in Fortran is PetscMallocDump(integer ierr) The fp defaults to stdout.

Notes: uses MPI_COMM_WORLD, because this may be called in PetscFinalize() after PETSC_COMM_WORLD has been freed.

### See Also

PetscMallocGetCurrentUsage(), PetscMallocDumpLog()

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages